Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Trucha Bug Restorer 1.14 Original by WiiPower Mod by R2

  1. #1
    Senior Member Cile's Avatar
    Join Date
    Nov 2009
    Location
    Australia
    Posts
    5,071
    Thanks
    666
    Thanked 2,304 Times in 1,226 Posts
    Blog Entries
    9

    Trucha Bug Restorer 1.14 Original by WiiPower Mod by R2


    The purpose of Trucha Bug Restorer is to get IOS with the trucha bug on all Wiis with system menu up to 4.3. Usually the error codes -1017 and -2011 indicate that the trucha bug is required and missing.

    CHANGELOG v1.14
    ===============
    •compatible with system menu 4.3
    •uses IOS58 + HW_AHBPROT patched IOS36 to install Homebrew Channel on 1.0.7 and above
    •uses IOS41 to IOS15 downgrade and install patched IOS36 Homebrew Channel on 1.0.6 and below


    With the Trucha bug Restorer IOS36 can be installed with various patches. It can then be used used for the installation of cIOS. It is compatible on all system menus including 4.3 requires and when it is started with the HBC installed 1.0.7 and higher including IOS, not a downgrade from IOS and IOS does not Korean.

    Instructions:

    Homebrew Channel for 1.0.7 +, and IOS58 installed:

    1st Trucha Bug Restorer start without confirm "IOS reload" by B-button.
    2nd After the warning "IOS36menu" select and install the IOS36 as usual with patches.

    Homebrew Channel for 1.0.6 and lower:

    1st Trucha Bug Restorer start without confirm "IOS reload" using B Button and after the warning "IOS41 Install" option.

    2nd IOS41 set, press A button and select the warning to "downgrade IOS15!.

    3rd IOS15 set, press A button and after the warning "IOS36menu", and select the IOS36 patch as usual.

    4th IOS36 set, press A button and after the warning "IOS15 Restore" option.


    Note for offline installation

    There are the following. Wad files needed for the TBR Mod offline use:
    IOS15-64-v257.wad (HBC only under 1.0.7 and lower)
    IOS15-64-v1031.wad (HBC only under 1.0.7 and lower)
    IOS36-64-v3351.wad
    IOS41-64-v3091.wad (HBC only under 1.0.7 and lower)


    Download:TBR 1.14
    Mirror:trucha_bug_restorer_v1.14_by_r2.rar
    Source:Trucha Bug Restorer 1.14 by R2 - Wii Hacking - Wii-Homebrew.com Forum
    Last edited by Cile; 09-09-2010 at 01:56 AM.

  2. 1 User Says Thank You Cile For This Useful Post


  3. #2
    New Member
    Join Date
    Jun 2010
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Tried but failed (if all Korean IOSes are existed with latest version)

    I tried but failed to downgrade IOS15 (v1032) if all Korea IOSes (41,43,45,46,48,53)
    existed with the latest version.

  4. #3
    Member
    Join Date
    Jan 2009
    Posts
    2,692
    Thanks
    254
    Thanked 396 Times in 369 Posts
    Cile,
    you'll be very kind if u could upload the TBR 1.14 file to medifare, as the link in thread #1 is not accessible, off-shore.
    thx.

  5. #4
    Senior Member Cile's Avatar
    Join Date
    Nov 2009
    Location
    Australia
    Posts
    5,071
    Thanks
    666
    Thanked 2,304 Times in 1,226 Posts
    Blog Entries
    9
    wish granted

  6. 1 User Says Thank You Cile For This Useful Post


  7. #5
    Member
    Join Date
    Jan 2009
    Posts
    2,692
    Thanks
    254
    Thanked 396 Times in 369 Posts
    Quote Originally Posted by Cile View Post
    wish granted
    you're a very great guy !
    i got the mirror, minute ago.
    thx again.

  8. #6
    New Member
    Join Date
    Oct 2009
    Posts
    2
    Thanks
    1
    Thanked 0 Times in 0 Posts
    Following the instructions in the OP:
    Press A to start the install...
    Installing...
    .
    ES_AddTitleStart returned: -2011
    You need to use an IOS with trucha bug.
    That's what the IOS15 downgrade is good for...
    IOS36 installation failed.
    Press any button to exit...


    Attempting to downgrade IOS15:
    Step 1: Set the revision to 0
    Step 2: Install IOS with low revision
    Preparations complete, press A to start step 1...
    Installing ticket...
    Setting the revision to 0...
    Error: ES_AddTitleFinish returned -1017
    Error: Could not set the revision to 0
    Downgrade failed
    Press any button to exit...


    Could someone help me with this? I found 1.13 and this version is giving me the same problem with downgrading IOS15. Since this one says it will work for 4.3 outright, I thought it would make a difference, but I'm missing something.

    1. Is it just me, or does this thing need to exploit the trucha bug so that it can install the trucha bug?
    2. I'm using Homebrew Channel 1.0.8 with a 4.3 system update from Metroid: Other M installed on top of a previous 4.3 update from New Super Mario Bros. Wii. The Mario one didn't seem to affect anything, but the Metroid one deleted my Homebrew Channel and I needed to reinstall it using the SmashStack exploit. My system is NTSC.
    3. My main goal is to be able to use Action Replay codes with a GameCube game. I can't do that unless I install a special AR loader, and for that to work, I need to install a previous version of MIOS that doesn't break AR usage, which is impossible to install without the trucha bug.

  9. #7
    Member
    WiiHacks Staff
    Moderator

    Virtual Welcome Agent
    Only site donators may send a PM to WiiHacks Staff
    vinatec's Avatar
    Join Date
    May 2010
    Location
    Göttingen, Germany
    Posts
    1,903
    Thanks
    266
    Thanked 710 Times in 543 Posts
    Blog Entries
    1
    did you use the 4.3 guide from this site? you should have ended up with a working set up, and fakesigned ios36 already
    you can have a look on your ios by using syscheck. How to post a syscheck: Instructions here
    if your wii is properly hooked up to the internet you can use Dopmii to update your mios.
    with the codes you are on your own, as you won't get support on cheat stuff on this site
    good luck

    <--suggestions helped? press Thanks

  10. 1 User Says Thank You vinatec For This Useful Post


  11. #8
    New Member
    Join Date
    Oct 2009
    Posts
    2
    Thanks
    1
    Thanked 0 Times in 0 Posts
    Thanks for the syscheck tip, vinatec. Everything was listed as stub or no patches except:
    IOS250 (rev 65535): Trucha Bug, ES Identify, NAND Access, USB 2.0
    IOS254 (rev 65281): BootMii

    So, assuming that 250 lets me go all willynilly if the homebrew apps support it, I had TBR 1.14 load IOS250 and sure enough, it let me downgrade IOS15, patch IOS36 with the downgraded IOS15 and then restore IOS15.

    Then I downloaded Waninkoko's CIOS updater rv17 to patch IOS249, which is said to be needed for soft-modded Wiis.

    I still need help, though. This is going to be a little off-topic. The AR loader program I'm trying to use comes with this MIOS updater app. There's two of them, one of them says "This is not a valid Wii application" when I try to load it in Homebrew Channel and the other just goes to a black screen and needing a power button hold down. I downloaded DOP-mii from the link you posted and then I tried the version at wiibrew.org. Both times after I ran them, my wii remote would turn off and they wouldn't sync. If I have a GC controller attached, pushing the A button gives me this "Exception (DSI) occurred!" screen: http://img59.imageshack.us/img59/8444/dsim.png

    So, I'm a little closer to where I need to be, but denied once again by mysterious unknown forces. Help please?

    EDIT: Nevermind. I don't really understand the logistics of it, but I somehow got it working. I went back to TBR and instead of using 250, I used the new IOS249 that I installed with CIOS and I repatched IOS36. DOP-Mii still gives that obnoxious error and that not a Wii application program is the same, but the other alternative app allowed me to downgrade to MIOS v4 and the ARLoader is working! Rock and roll! Aroooooooo!
    Last edited by TigerNightmare; 09-19-2010 at 01:24 AM.

  12. #9
    Banned
    Join Date
    Mar 2011
    Posts
    8
    Thanks
    2
    Thanked 3 Times in 3 Posts
    I need help! If I follow the instructions above for the HBC 1.0.7+ an I get the "EXCEPTION OCCURRED" I put my syscheck in the spoiler I need help cuz I can't run Usb Loader GX an WAD Manager

    Spoiler

    Last edited by Justin Perkins; 03-29-2011 at 09:48 PM.

  13. #10
    Member
    Join Date
    Jan 2009
    Posts
    2,692
    Thanks
    254
    Thanked 396 Times in 369 Posts
    coz ur IOS222/IOS223/IOS249/IOS250 : Stub
    u no run GX

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •